#!/usr/bin/perl -cw
#
# You should check the syntax of this file before using it in an auto-install.
# You can do this with 'perl -cw auto_inst.cfg.pl' or by executing this file
# (note the '#!/usr/bin/perl -cw' on the first line).
$o = {
       'X' => {
				'monitors' => [
				{
				  'VendorName' => 'Plug\'n Play',
				  'manually_chosen' => 1
				}
			      ],
			'resolution_wanted' => 'x'
			},
       'authentication' => {
				'sha512' => 1,
				'shadow' => 1
			   },
       'autoExitInstall' => '0',
       'default_packages' => [
					 'acpi',
			       'acpid',
			       'akonadi',
			       'akonadi-import-wizard',
			       'akregator-handbook',
			       'aoss',
			       'aria2',
			       'ark',
			       'ark-handbook',
			       'autocorr-fr',
			       'baloo',
			       'baloo-widgets',
			       'basesystem',
			       'bash-completion',
			       'bc',
			       'bind-utils',
			       'bluedevil',
			       'bluez-firmware',
			       'bluez-qt',
			       'breeze',
			       'breeze-common',
			       'breeze-gtk',
			       'cdrkit-genisoimage',
			       'chrony',
			       'clementine',
			       'comgt',
			       'coreutils-doc',
			       'cpupower',
			       'cronie-anacron',
			       'dconf',
			       'dcraw',
			       'dhcp-client',
			       'dmraid',
			       'dnf',
			       'dnf-plugins-core',
			       'dnf-yum',
			       'dracut',
			       'dragon-handbook',
			       'drakconf',
			       'drakguard',
			       'drakx-net',
			       'drakx-net-applet',
			       'drakxtools',
			       'drakxtools-curses',
			       'dump',
			       'dvdauthor',
			       'enchant',
			       'enscript',
			       'eventviews',
			       'faad2',
			       'ffmpeg',
			       'ffmpeg2theora',
			       'ffmpegthumbs',
			       'file',
			       'filezilla',
			       'firefox',
			       'firefox-fr',
			       'flac',
			       'flash-player-plugin',
			       'fonts-ttf-decoratives',
			       'fonts-ttf-west_european',
			       'frei0r',
			       'ghostscript',
			       'ghostscript-common',
			       'ghostscript-module-X',
			       'giftrans',
			       'gimp',
			       'gimp-help-fr',
			       'glib2.0-common',
			       'gnupg',
			       'gnupg2',
			       'gphoto2',
			       'gpm',
			       'grub-doc',
			       'grub2',
			       'grub2-common',
			       'grub2-mageia-theme',
			       'gstreamer1.0-a52dec',
			       'gstreamer1.0-amrnb',
			       'gstreamer1.0-cdio',
			       'gstreamer1.0-dv',
			       'gstreamer1.0-faad',
			       'gstreamer1.0-farstream',
			       'gstreamer1.0-flac',
			       'gstreamer1.0-gme',
			       'gstreamer1.0-gsm',
			       'gstreamer1.0-lame',
			       'gstreamer1.0-mms',
			       'gstreamer1.0-mpeg',
			       'gstreamer1.0-neon',
			       'gstreamer1.0-ofa',
			       'gstreamer1.0-plugins-ugly',
			       'gstreamer1.0-pulse',
			       'gstreamer1.0-rtmp',
			       'gstreamer1.0-soup',
			       'gstreamer1.0-speex',
			       'gstreamer1.0-twolame',
			       'gstreamer1.0-wavpack',
			       'gstreamer1.0-x264',
			       'gstreamer1.0-x265',
			       'gvfs-archive',
			       'gvfs-fuse',
			       'gvfs-goa',
			       'gvfs-gphoto2',
			       'gvfs-iphone',
			       'gvfs-mtp',
			       'gvfs-smb',
			       'gwenview',
			       'gwenview-handbook',
			       'harddrake',
			       'hawkey-man',
			       'hdparm',
			       'hexedit',
			       'hplip-model-data',
			       'html2text',
			       'hunspell',
			       'hunspell-en',
			       'icedtea-web',
			       'icewm-i18n',
			       'icewm-light',
			       'icu58-data',
			       'imagemagick',
			       'incidenceeditor',
			       'info',
			       'iproute2',
			       'irqbalance',
			       'iwlwifi-firmware',
			       'java-1.8.0-openjdk',
			       'json-glib',
			       'kaccounts-integration',
			       'kactivities',
			       'kaddressbook',
			       'kalarm',
			       'kamera',
			       'kamera-handbook',
			       'kcalc',
			       'kcalc-handbook',
			       'kcharselect',
			       'kcharselect-handbook',
			       'kcmutils',
			       'kcolorchooser',
			       'kcron',
			       'kcron-handbook',
			       'kde-cli-tools',
			       'kde-l10n-fr',
			       'kded',
			       'kdegraphics-mobipocket',
			       'kdegraphics-thumbnailers',
			       'kdenlive',
			       'kdeplasma-addons',
			       'kdesu',
			       'kdnssd',
			       'kdoctools',
			       'kernel-desktop-latest',
			       'kernel-firmware-nonfree',
			       'kfilemetadata',
			       'kgamma5',
			       'kglobalaccel',
			       'kholidays',
			       'khtml',
			       'kidletime',
			       'kinfocenter',
			       'kio',
			       'kio5-sieve',
			       'kipi-common',
			       'kipi-plugins',
			       'kipi-plugins-facebook',
			       'kipi-plugins-flashexport',
			       'kipi-plugins-flickr',
			       'kipi-plugins-kmlexport',
			       'kipi-plugins-piwigo',
			       'kipi-plugins-printimages',
			       'kipi-plugins-rajceexport',
			       'kipi-plugins-sendimages',
			       'kipi-plugins-smug',
			       'kipi-plugins-vkontakte',
			       'kipi-plugins-yandexfotki',
			       'kjobwidgets',
			       'kjots',
			       'kldap',
			       'kldap-handbook',
			       'kleopatra-handbook',
			       'kmail',
			       'kmailtransport',
			       'kmailtransport-handbook',
			       'kmenuedit',
			       'kmozillahelper',
			       'knotes-handbook',
			       'knotifyconfig',
			       'kolourpaint',
			       'kolourpaint-handbook',
			       'konsole-doc',
			       'kontact',
			       'kontact-handbook',
			       'kontactinterface',
			       'konversation',
			       'korganizer',
			       'kpeople',
			       'kross',
			       'krunner',
			       'kscreen',
			       'kscreenlocker',
			       'kservice',
			       'ksysguard',
			       'ktexteditor',
			       'ktexteditor-plugins',
			       'ktextwidgets',
			       'ktimer',
			       'ktimer-handbook',
			       'ktorrent',
			       'kwallet',
			       'kwallet-pam',
			       'kwalletmanager',
			       'kwalletmanager-handbook',
			       'kwin',
			       'kwrite-handbook',
			       'ladspa',
			       'lame',
			       'ldetect',
			       'ldetect-lst',
			       'lftp',
			       'locales',
			       'lsof',
			       'lvm2',
			       'lynx',
			       'mageia-gfxboot-theme',
			       'mageia-theme-screensavers',
			       'mageiawelcome',
			       'mailimporter',
			       'man-pages',
			       'man-pages-fr',
			       'mandi-ifw',
			       'marble',
			       'marble-handbook',
			       'mariadb-common',
			       'mariadb-common-core',
			       'mc',
			       'mencoder',
			       'meta-task',
			       'mgaonline',
			       'microcode',
			       'microcode_ctl',
			       'mjpegtools',
			       'mkxauth',
			       'mlocate',
			       'monitor-edid',
			       'mp3gain',
			       'mpeg2dec',
			       'mpgtx',
			       'mplayer',
			       'msec',
			       'msec-gui',
			       'mtools',
			       'nano',
			       'ncurses',
			       'net_monitor',
			       'netprofile-plugin-firewall',
			       'netprofile-plugin-network',
			       'netprofile-plugin-proxy',
			       'netprofile-plugin-services',
			       'netprofile-plugin-urpmi',
			       'nmap',
			       'notification-daemon-engine-nodoka',
			       'nss',
			       'nss-myhostname',
			       'ntfs-3g',
			       'numlock',
			       'okular-handbook',
			       'open',
			       'openssh',
			       'openssh-clients',
			       'openssl',
			       'os-prober',
			       'oxygen-icons5',
			       'p7zip',
			       'patch',
			       'perl-Time-HiRes',
			       'perl-XML-LibXML',
			       'perl-doc',
			       'phonon4qt5',
			       'phonon4qt5-vlc',
			       'pidgin-plugins',
			       'pinentry-gnome3',
			       'plasma-integration',
			       'plasma-pa',
			       'plasma-workspace',
			       'plymouth-system-theme',
			       'poppler-data',
			       'preload',
			       'procmail',
			       'psutils',
			       'pulseaudio-module-gconf',
			       'pulseaudio-module-zeroconf',
			       'python',
			       'python3-dnf-plugins-core',
			       'python3-rpm',
			       'python3-smbc',
			       'qttools5',
			       'qttools5-assistant',
			       'radeon-firmware',
			       'ralink-firmware',
			       'rdist',
			       'readahead',
			       'recode',
			       'recordmydesktop',
			       'rfkill',
			       'rootcerts',
			       'rootcerts-java',
			       'rpm',
			       'rsync',
			       's2u',
			       'sane-backends-iscan',
			       'screen',
			       'scribus',
			       'sddm',
			       'sddm-kcm',
			       'seahorse',
			       'sectool',
			       'shadow-utils',
			       'sharutils',
			       'shorewall-ipv6',
			       'skrooge',
			       'solid',
			       'sonnet',
			       'sound-scripts',
			       'soundwrapper',
			       'spectacle',
			       'speex',
			       'sqlite3-tools',
			       'strace',
			       'sudo',
			       'symlinks',
			       'system-config-printer',
			       'systemd',
			       'systemsettings',
			       'task-codec-audio',
			       'task-codec-video',
				   'task-lalis',
			       'task-plasma5-minimal',
			       'task-pulseaudio',
			       'telepathy-haze',
			       'telepathy-idle',
			       'telepathy-kde-common-internals-core',
			       'telepathy-kde-desktop-applets',
			       'telepathy-kde-send-file',
			       'telepathy-salut',
			       'tmpwatch',
			       'tree',
			       'twolame',
			       'ufraw-gimp',
			       'unar',
			       'usbutils',
			       'vim-enhanced',
			       'vim-minimal',
			       'vlc',
			       'vlc-plugin-common',
			       'vlc-plugin-flac',
			       'vlc-plugin-lua',
			       'vlc-plugin-pulse',
			       'vlc-plugin-speex',
			       'vlc-plugin-theora',
			       'vorbis-tools',
			       'vorbisgain',
			       'wget',
			       'wireless-tools',
			       'words',
			       'x11-driver-input',
			       'x11-driver-video',
			       'x11-driver-video-vboxvideo',
			       'x11-font-bh-type1',
			       'x11-server-xorg',
			       'x264',
			       'xdg-utils',
			       'xdm',
			       'xev',
			       'xorg-x11-75dpi-fonts',
			       'xorriso',
			       'yelp',
			       'zeroconf-ioslave',
			       'zip'
			     ],
       'enabled_media' => [
			    'Core Release',
			    'Core Updates',
			    'Nonfree Release',
			    'Nonfree Updates',
			    'Tainted Release',
			    'Tainted Updates'
		],
		'interactiveSteps' => [
				'summary'
		],
		'keyboard' => {
		       'GRP_TOGGLE' => '',
		       'KEYBOARD' => 'fr'
				},
       'locale' => {
		     'IM' => undef,
		     'country' => 'FR',
		     'lang' => 'fr',
		     'langs' => {
				  'fr' => 1
				},
		     'utf8' => 1
		},
		'miscellaneous' => {
			'numlock' => 1,
			'HDPARM' => 1
		},
       'mouse' => {
		    'EmulateWheel' => undef,
		    'MOUSETYPE' => 'ps/2',
		    'Protocol' => 'ExplorerPS/2',
		    'device' => 'input/mice',
		    'evdev_mice' => [
				      {
					'HWheelRelativeAxisButtons' => '7 6',
					'device' => '/dev/input/by-id/usb-noserial-event-mouse'
				      }
				    ],
		    'evdev_mice_all' => [
					  {
					    'HWheelRelativeAxisButtons' => '7 6',
					    'device' => '/dev/input/by-id/usb-noserial-event-mouse'
					  }
					],
		    'name' => 'Any PS/2 & USB mice',
		    'nbuttons' => 7,
		    'synaptics' => undef,
		    'type' => 'Universal',
		    'wacom' => []
		  },
       'net' => {
			'PROFILE' => 'default',
			'ethernet' => {},
			'ifcfg' => {
						},
			'net_interface' => '',
			'network' => {
					'CRDA_DOMAIN' => 'FR',
					'FORWARD_IPV4' => 'false',
					'GATEWAY' => '',
					'NETWORKING' => 'yes'
					},
			'resolv' => {
					'DOMAINNAME' => undef,
					'DOMAINNAME2' => undef,
					'DOMAINNAME3' => undef,
					'dnsServer' => undef,
					'dnsServer2' => undef,
					'dnsServer3' => undef
					},
			'type' => 'ethernet',
			'wireless' => {},
			'zeroconf' => {}
		},
		'bootloader' => {
			'method' => 'grub2-graphic',
			'boot' => '/dev/sda',
			'timeout' => 5,
			'crushMbr' => 1,
		},
       'partitioning' => {
			   'auto_allocate' => '1',
			   'clearall' => 1,
			   'eraseBadPartitions' => 0,
			   'no_bad_drives' => 0,
			 },
       'partitions' => [
			{
			   'fs_type' => 'ext4',
			   'hd' => 'sda',
			   'mntpoint' => '/boot',
			   'options' => 'relatime,acl',
			   'size' => 1562500
			 },
			 {
			   'fs_type' => 'ext4',
			   'hd' => 'sda',
			   'mntpoint' => '/',
			   'options' => 'relatime,acl',
			   'size' => 39062500
			 },
			 {
			   'fs_type' => 'swap',
			   'hd' => 'sda',
			   'mntpoint' => 'swap',
			   'options' => 'defaults',
			   'size' => 7812500
			 },
			 {
			   'fs_type' => 'ext4',
			   'hd' => 'sda',
			   'mntpoint' => '/home',
			   'options' => 'relatime,acl',
			   'ratio' => 100
			 },
		       ],
       'security' => 1,
       'security_user' => undef,
       'superuser' => {
			'gid' => '0',
			'home' => '/root',
			'pw' => '$6$4olYuu4o35YoPivZ$jJVF1JHdP9g2rMRivkHywyPZfHe/b/d9RtD09/0p8NBRmCgTQy0x5rgHcBm18D66Dqf0HSZcd8QjSAgiAaV1/1',
			'realname' => 'root',
			'shell' => '/bin/bash',
			'uid' => '0'
		      },
       'timezone' => {
		       'UTC' => 0,
		       'ntp' => 'pool.ntp.org',
		       'timezone' => 'Europe/Paris'
		     },
       'users' => [
		    {
		      'gid' => '500',
		      'groups' => [],
		      'icon' => 'default',
		      'name' => 'lalis',
		      'password' => 'lalis',
		      'realname' => undef,
		      'shell' => '/bin/bash',
		      'uid' => '500'
		    }
		  ]
     };
